public inbox for gcc-bugs@sourceware.org
help / color / mirror / Atom feed
* [Bug bootstrap/15107] New: Stages comparison error with new-bootstrap while plain bootstrap works
@ 2004-04-23 22:10 v dot haisman at sh dot cvut dot cz
  2004-04-23 22:16 ` [Bug bootstrap/15107] " pinskia at gcc dot gnu dot org
                   ` (9 more replies)
  0 siblings, 10 replies; 11+ messages in thread
From: v dot haisman at sh dot cvut dot cz @ 2004-04-23 22:10 UTC (permalink / raw)
  To: gcc-bugs

With make new-bootstrap and the following configuration I get this error:

WilX@amber2:::~/gcc-head/objdir> ../srcdir/configure --with-gcc --with-gnu-ld
--with-gnu-as --enable-languages=c,c++,objc --enable-threads=posix
--with-system-zlib --enable-nls --without-included-gettext
--enable-sjlj-exceptions --enable-version-specific-runtime-libs --enable-shared
--disable-win32-registry --enable-dwarf2 --with-cpu=athlon-tbird
--with-arch=athlon-tbird --program-suffix=-3.5


WilX@amber2:::~/gcc-head/objdir> make new-bootstrap
r=`${PWDCMD-pwd}`; export r; \
s=`cd ../srcdir; ${PWDCMD-pwd}`; export s; \
rm -f .bad_compare ; \
cd stage3-gcc; \
files=`find . -name "*.o" -print` ; \
cd .. ; \
for file in ${files} ; do \
  cmp --ignore-initial=16 $r/stage2-gcc/$file $r/stage3-gcc/$file \
      > /dev/null 2>&1; \
  test $? -eq 1 && echo $file differs >> .bad_compare || true; \
done ; \
if [ -f .bad_compare ]; then \
  echo "Bootstrap comparison failure!"; \
  cat .bad_compare; \
  exit 1; \
else \
  true; \
fi ; \
        echo timestamp >  compare
Bootstrap comparison failure!
./libgcc/_chkstk.o differs
make: *** [compare] Error 1

-- 
           Summary: Stages comparison error with new-bootstrap while plain
                    bootstrap works
           Product: gcc
           Version: 3.5.0
            Status: UNCONFIRMED
          Severity: normal
          Priority: P2
         Component: bootstrap
        AssignedTo: unassigned at gcc dot gnu dot org
        ReportedBy: v dot haisman at sh dot cvut dot cz
                CC: gcc-bugs at gcc dot gnu dot org,v dot haisman at sh dot
                    cvut dot cz
 GCC build triplet: i686-pc-cygwin
  GCC host triplet: i686-pc-cygwin
GCC target triplet: i686-pc-cygwin


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=15107


^ permalink raw reply	[flat|nested] 11+ messages in thread

end of thread, other threads:[~2004-09-20 17:03 UTC | newest]

Thread overview: 11+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2004-04-23 22:10 [Bug bootstrap/15107] New: Stages comparison error with new-bootstrap while plain bootstrap works v dot haisman at sh dot cvut dot cz
2004-04-23 22:16 ` [Bug bootstrap/15107] " pinskia at gcc dot gnu dot org
2004-06-20  6:28 ` pinskia at gcc dot gnu dot org
2004-06-20 19:17 ` v dot haisman at sh dot cvut dot cz
2004-06-20 19:24 ` pinskia at gcc dot gnu dot org
2004-06-20 22:06 ` v dot haisman at sh dot cvut dot cz
2004-06-21  8:22 ` v dot haisman at sh dot cvut dot cz
2004-09-20  0:50 ` pinskia at gcc dot gnu dot org
2004-09-20 16:46 ` v dot haisman at sh dot cvut dot cz
2004-09-20 16:50 ` pinskia at gcc dot gnu dot org
2004-09-20 17:03 ` v dot haisman at sh dot cvut dot cz

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).